document.addEventListener('DOMContentLoaded', () => {
  const keyContainer = document.querySelector('.key-container');
  const registryKeys = [
    'Windows',
    'System',
    'CurrentControlSet',
    'Services',
    'EventLog',
    'Application'
  ];

  function createRegistryKey(name, delay) {
    const key = document.createElement('div');
    key.className = 'registry-key';
    key.textContent = name;
    key.style.animationDelay = `${delay}s`;
    return key;
  }

  function animateKeys() {
    keyContainer.innerHTML = '';
    registryKeys.forEach((key, index) => {
      const keyElement = createRegistryKey(key, index * 0.2);
      keyContainer.appendChild(keyElement);
    });
  }

  animateKeys();

  // Replay animation on container click
  keyContainer.addEventListener('click', animateKeys);
});